Hive Developer Portal
Methods:
Used to query information about accounts, transactions, and blockchain data.
To enable this API for hived, the following is required in config.ini
by specifying:
plugin = database_api
These AppBase API methods are still under development and subject to change.
Query Parameters JSON
{"accounts": []}
Expected Response JSON
{"requests": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_account_recovery_requests", "params": {"accounts":["hiveio"]}, "id":1}' https://api.hive.blog
database_api.find_accounts
Returns accounts, queried by name. Parameters: account:string array; delayed_votes_active:boolean
account (string array) |
delayed_votes_active (boolean) |
|
|---|---|---|
["hiveio"] |
Queries for account named “hiveio”. | |
["hiveio", "alice"] |
false | Queries for accounts named “hiveio” and “alice” with delayed_votes hidden. |
Query Parameters JSON
{"accounts": [], "delayed_votes_active": true}
Expected Response JSON
{
"accounts": [
{
"id": 1370484,
"name": "hiveio",
"owner": {
"weight_threshold": 1,
"account_auths": [],
"key_auths": [
[
"STM65PUAPA4yC4RgPtGgsPupxT6yJtMhmT5JHFdsT3uoCbR8WJ25s",
1
]
]
},
"active": {
"weight_threshold": 1,
"account_auths": [],
"key_auths": [
[
"STM69zfrFGnZtU3gWFWpQJ6GhND1nz7TJsKBTjcWfebS1JzBEweQy",
1
]
]
},
"posting": {
"weight_threshold": 1,
"account_auths": [["threespeak", 1], ["vimm.app", 1]],
"key_auths": [
[
"STM6vJmrwaX5TjgTS9dPH8KsArso5m91fVodJvv91j7G765wqcNM9",
1
]
]
},
"memo_key": "STM7wrsg1BZogeK7X3eG4ivxmLaH69FomR8rLkBbepb3z3hm5SbXu",
"json_metadata": "",
"posting_json_metadata": "{\"profile\":{\"pinned\":\"none\",\"version\":2,\"website\":\"hive.io\",\"profile_image\":\"https://files.peakd.com/file/peakd-hive/hiveio/Jp2YHc6Q-hive-logo.png\",\"cover_image\":\"https://files.peakd.com/file/peakd-hive/hiveio/Xe1TcEBi-hive-banner.png\"}}",
"proxy": "",
"last_owner_update": "1970-01-01T00:00:00",
"last_account_update": "2020-11-12T01:20:48",
"created": "2020-03-06T12:22:48",
"mined": false,
"recovery_account": "steempeak",
"last_account_recovery": "1970-01-01T00:00:00",
"reset_account": "null",
"comment_count": 0,
"lifetime_vote_count": 0,
"post_count": 31,
"can_vote": true,
"voting_manabar": {
"current_mana": "598442432741",
"last_update_time": 1591297380
},
"downvote_manabar": {
"current_mana": "149610608184",
"last_update_time": 1591297380
},
"balance": {
"amount": "11682",
"precision": 3,
"nai": "@@000000021"
},
"savings_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"hbd_balance": {
"amount": "43575",
"precision": 3,
"nai": "@@000000013"
},
"hbd_seconds": "0",
"hbd_seconds_last_update": "2020-10-21T02:45:12",
"hbd_last_interest_payment": "2020-10-21T02:45:12",
"savings_hbd_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"savings_hbd_seconds": "0",
"savings_hbd_seconds_last_update": "1970-01-01T00:00:00",
"savings_hbd_last_interest_payment": "1970-01-01T00:00:00",
"savings_withdraw_requests": 0,
"reward_hbd_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"reward_hive_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"reward_vesting_balance": {
"amount": "0",
"precision": 6,
"nai": "@@000000037"
},
"reward_vesting_hive": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"vesting_shares": {
"amount": "598442432741",
"precision": 6,
"nai": "@@000000037"
},
"delegated_vesting_shares": {
"amount": "0",
"precision": 6,
"nai": "@@000000037"
},
"received_vesting_shares": {
"amount": "0",
"precision": 6,
"nai": "@@000000037"
},
"vesting_withdraw_rate": {
"amount": "0",
"precision": 6,
"nai": "@@000000037"
},
"post_voting_power": {
"amount": "598442432741",
"precision": 6,
"nai": "@@000000037"
},
"next_vesting_withdrawal": "1969-12-31T23:59:59",
"withdrawn": 0,
"to_withdraw": 0,
"withdraw_routes": 0,
"pending_transfers": 0,
"curation_rewards": 0,
"posting_rewards": 604589,
"proxied_vsf_votes": [0, 0, 0, 0],
"witnesses_voted_for": 0,
"last_post": "2021-03-23T18:05:48",
"last_root_post": "2021-03-23T18:05:48",
"last_post_edit": "2021-03-23T18:05:48",
"last_vote_time": "1970-01-01T00:00:00",
"post_bandwidth": 0,
"pending_claimed_accounts": 0,
"is_smt": false,
"delayed_votes": [
{
"time": "2021-02-24T05:08:21",
"val": "11550765516955"
},
{
"time": "2021-02-26T15:46:06",
"val": "633465684569"
},
{
"time": "2021-03-07T17:54:39",
"val": "1000000037683"
},
{
"time": "2021-03-16T05:54:33",
"val": "999978763511"
},
{
"time": "2021-03-18T06:06:00",
"val": "1000000171317"
}
]
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_accounts", "params": {"accounts":["hiveio"]}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_accounts", "params": {"accounts":["hiveio", "alice"], "delayed_votes_active": false}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"accounts": []}
Expected Response JSON
{
"requests": [
{
"id": 0,
"account_to_recover": "",
"recovery_account": "",
"effective_on": "2020-01-08T00:45:18"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_change_recovery_account_requests", "params": {"accounts":["hiveio"]}, "id":1}' https://api.hive.blog
Replacement / Successor
- Spiritual successor:
bridge.get_post
Use for current Hivemind-backed lookup of a post or comment by author and permlink.
Query Parameters JSON
{"comments": [["author", "permlink"]]}
Expected Response JSON
{"comments": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_comments", "params": {"comments":[["hiveio", "around-the-hive-reflections"]]}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_comments", "params": {"comments":[["alice", "a-post-by-alice"]]}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"accounts": []}
Expected Response JSON
{"requests": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_decline_voting_rights_requests", "params": {"accounts":["temp","null"]}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"from": ""}
Expected Response JSON
{
"escrows": [
{
"id": 143,
"escrow_id": 12345,
"from": "temp",
"to": "guest123",
"agent": "smitop",
"ratification_deadline": "2038-01-19T03:14:06",
"escrow_expiration": "2038-01-19T03:14:07",
"hbd_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"hive_balance": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
},
"pending_fee": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
},
"to_approved": false,
"agent_approved": false,
"disputed": false
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_escrows", "params": {"from": "temp"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"account": ""}
Expected Response JSON
{
"orders": [
{
"id": 0,
"created": "2019-12-14T04:05:39",
"expiration": "2019-12-15T05:05:21",
"seller": "",
"orderid": 0,
"for_sale": 0,
"sell_price": {
"base": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"quote": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
}
}
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_limit_orders", "params": {"account":"temp"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"owner": ""}
Expected Response JSON
{"owner_auths": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_owner_histories", "params": {"owner":"hiveio"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_owner_histories", "params": {"owner":"alice"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"account": ""}
Expected Response JSON
{"withdrawals": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_savings_withdrawals", "params": {"account":"hiveio"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"account": ""}
Expected Response JSON
{"requests": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_hbd_conversion_requests", "params": {"account":"hiveio"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_hbd_conversion_requests", "params": {"account":"alice"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"account": ""}
Expected Response JSON
{
"delegations": [
{
"id": 3077902,
"delegator": "hiveio",
"vesting_shares": {
"amount": "201417615",
"precision": 6,
"nai": "@@000000037"
},
"expiration": "2018-12-05T21:46:48"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_vesting_delegation_expirations", "params": {"account":"hiveio"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_vesting_delegation_expirations", "params": {"account":"alice"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"account": ""}
Expected Response JSON
{
"delegations": [
{
"id": 0,
"delegator": "",
"delegatee": "",
"vesting_shares": {
"amount": "0",
"precision": 6,
"nai": "@@000000037"
},
"min_delegation_time": "2018-02-28T15:36:51"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_vesting_delegations", "params": {"account":"hiveio"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_vesting_delegations", "params": {"account":"alice"}, "id":1}' https://api.hive.blog
database_api.find_votes
Obsolete. Current Hive source no longer defines this hived endpoint. Historical documentation is retained for compatibility context.
Returns all votes for the given post. Required (non-empty) parameters: author:string; permlink:string
author (string) |
permlink (string) |
|
|---|---|---|
"hiveio" |
"announcing-the-launch-of-hive-blockchain" |
Queries votes for content with a slug @hiveio/announcing-the-launch-of-hive-blockchain |
"alice" |
"a-post-by-alice" |
Queries votes for content with a slug @alice/a-post-by-alice |
Replacement / Successor
- Spiritual successor:
bridge.get_post
The bridge post response includes active vote data for the selected post.
Query Parameters JSON
{
"author": "hiveio",
"permlink": "announcing-the-launch-of-hive-blockchain"
}
Expected Response JSON
{
"votes": [
{
"id": 0,
"voter": "",
"author": "",
"permlink": "",
"weight": "0",
"rshares": 0,
"vote_percent": 0,
"last_update": "2016-04-07T19:15:36",
"num_changes": -1
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_votes", "params": {"author":"hiveio", "permlink":"announcing-the-launch-of-hive-blockchain"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_votes", "params": {"author":"alice", "permlink":"a-post-by-alice"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"account": "", "order": "by_name"}
Expected Response JSON
{
"routes": [
{
"id": 0,
"from_account": "",
"to_account": "",
"percent": 0,
"auto_vest": true
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_withdraw_vesting_routes", "params": {"account":"temp", "order":"by_destination"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"owners": []}
Expected Response JSON
{
"witnesses": [
{
"id": 0,
"owner": "initminer",
"created": "1970-01-01T00:00:00",
"url": "",
"votes": 0,
"virtual_last_update": "225400650183277777230188182",
"virtual_position": "28933178228158941342755574680549120",
"virtual_scheduled_time": "340253433742935705172215129634317850517",
"total_missed": 88,
"last_aslot": 1202,
"last_confirmed_block_num": 1092,
"pow_worker": 0,
"signing_key": "STM8GC13uCZbP44HzMLV6zPZGwVQ8Nt4Kji8PapsPiNq1BK153XTX",
"props": {
"account_creation_fee": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
},
"maximum_block_size": 131072,
"hbd_interest_rate": 1000,
"account_subsidy_budget": 797,
"account_subsidy_decay": 347321
},
"hbd_exchange_rate": {
"base": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"quote": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
}
},
"last_hbd_exchange_update": "1970-01-01T00:00:00",
"last_work": "0000000000000000000000000000000000000000000000000000000000000000",
"running_version": "0.23.0",
"hardfork_version_vote": "0.23.0",
"hardfork_time_vote": "2019-10-14T15:00:00",
"available_witness_account_subsidies": 9379874
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_witnesses", "params": {"owners":["initminer"]}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"include_future": true}
Expected Response JSON
{
"witnesses": [
"lukestokes.mhth",
"gtg",
"ausbitbank",
"clayop",
"yabapmatt",
"curie",
"thecryptodrive",
"roelandp",
"followbtcnews",
"timcliff",
"smooth.witness",
"bhuz",
"aggroed",
"blocktrades",
"cervantes",
"utopian-io",
"anyx",
"jesta",
"drakos",
"someguy123",
"good-karma"
],
"future_witnesses": ["future-witness"]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_active_witnesses", "params":{"include_future":true}, "id":1}' https://api.hive.blog
database_api.get_config
Returns information about compile-time constants. Some properties may not be present. See: Understanding Configuration Values
Query Parameters JSON
{}
Expected Response JSON
{
"IS_TEST_NET": true,
"TESTNET_BLOCK_LIMIT": 3000000,
"SMT_MAX_VOTABLE_ASSETS": 2,
"SMT_VESTING_WITHDRAW_INTERVAL_SECONDS": 604800,
"SMT_UPVOTE_LOCKOUT": 43200,
"SMT_EMISSION_MIN_INTERVAL_SECONDS": 21600,
"SMT_EMIT_INDEFINITELY": 4294967295,
"SMT_MAX_NOMINAL_VOTES_PER_DAY": 1000,
"SMT_MAX_VOTES_PER_REGENERATION": 7000,
"SMT_DEFAULT_VOTES_PER_REGEN_PERIOD": 50,
"SMT_DEFAULT_PERCENT_CURATION_REWARDS": 2500,
"SMT_INITIAL_VESTING_PER_UNIT": 1000000,
"SMT_BALLAST_SUPPLY_PERCENT": 10,
"SMT_MAX_ICO_TIERS": 10,
"HBD_SYMBOL": {"nai": "@@000000013", "precision": 3},
"HIVE_INITIAL_VOTE_POWER_RATE": 40,
"HIVE_REDUCED_VOTE_POWER_RATE": 10,
"HIVE_100_PERCENT": 10000,
"HIVE_1_PERCENT": 100,
"HIVE_ACCOUNT_RECOVERY_REQUEST_EXPIRATION_PERIOD": 12000000,
"HIVE_ACTIVE_CHALLENGE_COOLDOWN": "86400000000",
"HIVE_ACTIVE_CHALLENGE_FEE": {
"amount": "2000",
"precision": 3,
"nai": "@@000000021"
},
"HIVE_ADDRESS_PREFIX": "TST",
"HIVE_APR_PERCENT_MULTIPLY_PER_BLOCK": "102035135585887",
"HIVE_APR_PERCENT_MULTIPLY_PER_HOUR": "119577151364285",
"HIVE_APR_PERCENT_MULTIPLY_PER_ROUND": "133921203762304",
"HIVE_APR_PERCENT_SHIFT_PER_BLOCK": 87,
"HIVE_APR_PERCENT_SHIFT_PER_HOUR": 77,
"HIVE_APR_PERCENT_SHIFT_PER_ROUND": 83,
"HIVE_BANDWIDTH_AVERAGE_WINDOW_SECONDS": 604800,
"HIVE_BANDWIDTH_PRECISION": 1000000,
"HIVE_BENEFICIARY_LIMIT": 128,
"HIVE_BLOCKCHAIN_PRECISION": 1000,
"HIVE_BLOCKCHAIN_PRECISION_DIGITS": 3,
"HIVE_BLOCKCHAIN_HARDFORK_VERSION": "0.23.0",
"HIVE_BLOCKCHAIN_VERSION": "0.23.0",
"HIVE_BLOCK_INTERVAL": 3,
"HIVE_BLOCKS_PER_DAY": 28800,
"HIVE_BLOCKS_PER_HOUR": 1200,
"HIVE_BLOCKS_PER_YEAR": 10512000,
"HIVE_CASHOUT_WINDOW_SECONDS": 3600,
"HIVE_CASHOUT_WINDOW_SECONDS_PRE_HF12": 3600,
"HIVE_CASHOUT_WINDOW_SECONDS_PRE_HF17": 3600,
"HIVE_CHAIN_ID": "18dcf0a285365fc58b71f18b3d3fec954aa0c141c44e4e5cb4cf777b9eab274e",
"HIVE_COMMENT_REWARD_FUND_NAME": "comment",
"HIVE_COMMENT_TITLE_LIMIT": 256,
"HIVE_CONTENT_APR_PERCENT": 3875,
"HIVE_CONTENT_CONSTANT_HF0": "2000000000000",
"HIVE_CONTENT_CONSTANT_HF21": "2000000000000",
"HIVE_CONTENT_REWARD_PERCENT_HF16": 7500,
"HIVE_CONTENT_REWARD_PERCENT_HF21": 6500,
"HIVE_CONVERSION_DELAY": "302400000000",
"HIVE_CONVERSION_DELAY_PRE_HF_16": "604800000000",
"HIVE_CREATE_ACCOUNT_DELEGATION_RATIO": 5,
"HIVE_CREATE_ACCOUNT_DELEGATION_TIME": "2592000000000",
"HIVE_CREATE_ACCOUNT_WITH_HIVE_MODIFIER": 30,
"HIVE_CURATE_APR_PERCENT": 3875,
"HIVE_CUSTOM_OP_DATA_MAX_LENGTH": 8192,
"HIVE_CUSTOM_OP_ID_MAX_LENGTH": 32,
"HIVE_DEFAULT_HBD_INTEREST_RATE": 1000,
"HIVE_DOWNVOTE_POOL_PERCENT_HF21": 2500,
"HIVE_EQUIHASH_K": 6,
"HIVE_EQUIHASH_N": 140,
"HIVE_FEED_HISTORY_WINDOW": 84,
"HIVE_FEED_HISTORY_WINDOW_PRE_HF_16": 168,
"HIVE_FEED_INTERVAL_BLOCKS": 1200,
"HIVE_GENESIS_TIME": "2016-01-01T00:00:00",
"HIVE_HARDFORK_REQUIRED_WITNESSES": 17,
"HIVE_HF21_CONVERGENT_LINEAR_RECENT_CLAIMS": "503600561838938636",
"HIVE_INFLATION_NARROWING_PERIOD": 250000,
"HIVE_INFLATION_RATE_START_PERCENT": 978,
"HIVE_INFLATION_RATE_STOP_PERCENT": 95,
"HIVE_INIT_MINER_NAME": "initminer",
"HIVE_INIT_PUBLIC_KEY_STR": "TST6LLegbAgLAy28EHrffBVuANFWcFgmqRMW13wBmTExqFE9SCkg4",
"HIVE_INIT_SUPPLY": "250000000000",
"HIVE_HBD_INIT_SUPPLY": "7000000000",
"HIVE_INIT_TIME": "1970-01-01T00:00:00",
"HIVE_IRREVERSIBLE_THRESHOLD": 7500,
"HIVE_LIQUIDITY_APR_PERCENT": 750,
"HIVE_LIQUIDITY_REWARD_BLOCKS": 1200,
"HIVE_LIQUIDITY_REWARD_PERIOD_SEC": 3600,
"HIVE_LIQUIDITY_TIMEOUT_SEC": "604800000000",
"HIVE_MAX_ACCOUNT_CREATION_FEE": 1000000000,
"HIVE_MAX_ACCOUNT_NAME_LENGTH": 16,
"HIVE_MAX_ACCOUNT_WITNESS_VOTES": 30,
"HIVE_MAX_ASSET_WHITELIST_AUTHORITIES": 10,
"HIVE_MAX_AUTHORITY_MEMBERSHIP": 40,
"HIVE_MAX_BLOCK_SIZE": 393216000,
"HIVE_SOFT_MAX_BLOCK_SIZE": 2097152,
"HIVE_MAX_CASHOUT_WINDOW_SECONDS": 86400,
"HIVE_MAX_COMMENT_DEPTH": 65535,
"HIVE_MAX_COMMENT_DEPTH_PRE_HF17": 6,
"HIVE_MAX_FEED_AGE_SECONDS": 604800,
"HIVE_MAX_INSTANCE_ID": "281474976710655",
"HIVE_MAX_MEMO_SIZE": 2048,
"HIVE_MAX_WITNESSES": 21,
"HIVE_MAX_MINER_WITNESSES_HF0": 1,
"HIVE_MAX_MINER_WITNESSES_HF17": 0,
"HIVE_MAX_PERMLINK_LENGTH": 256,
"HIVE_MAX_PROXY_RECURSION_DEPTH": 4,
"HIVE_MAX_RATION_DECAY_RATE": 1000000,
"HIVE_MAX_RESERVE_RATIO": 20000,
"HIVE_MAX_RUNNER_WITNESSES_HF0": 1,
"HIVE_MAX_RUNNER_WITNESSES_HF17": 1,
"HIVE_MAX_SATOSHIS": "4611686018427387903",
"HIVE_MAX_SHARE_SUPPLY": "1000000000000000",
"HIVE_MAX_SIG_CHECK_DEPTH": 2,
"HIVE_MAX_SIG_CHECK_ACCOUNTS": 125,
"HIVE_MAX_TIME_UNTIL_EXPIRATION": 3600,
"HIVE_MAX_TRANSACTION_SIZE": 65536,
"HIVE_MAX_UNDO_HISTORY": 10000,
"HIVE_MAX_URL_LENGTH": 127,
"HIVE_MAX_VOTE_CHANGES": 5,
"HIVE_MAX_VOTED_WITNESSES_HF0": 19,
"HIVE_MAX_VOTED_WITNESSES_HF17": 20,
"HIVE_MAX_WITHDRAW_ROUTES": 10,
"HIVE_MAX_WITNESS_URL_LENGTH": 2048,
"HIVE_MIN_ACCOUNT_CREATION_FEE": 0,
"HIVE_MIN_ACCOUNT_NAME_LENGTH": 3,
"HIVE_MIN_BLOCK_SIZE_LIMIT": 65536,
"HIVE_MIN_BLOCK_SIZE": 115,
"HIVE_MIN_CONTENT_REWARD": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
},
"HIVE_MIN_CURATE_REWARD": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
},
"HIVE_MIN_PERMLINK_LENGTH": 0,
"HIVE_MIN_REPLY_INTERVAL": 20000000,
"HIVE_MIN_REPLY_INTERVAL_HF20": 3000000,
"HIVE_MIN_ROOT_COMMENT_INTERVAL": 300000000,
"HIVE_MIN_COMMENT_EDIT_INTERVAL": 3000000,
"HIVE_MIN_VOTE_INTERVAL_SEC": 3,
"HIVE_MINER_ACCOUNT": "miners",
"HIVE_MINER_PAY_PERCENT": 100,
"HIVE_MIN_FEEDS": 7,
"HIVE_MINING_REWARD": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
},
"HIVE_MINING_TIME": "2016-01-01T00:00:00",
"HIVE_MIN_LIQUIDITY_REWARD": {
"amount": "1200000",
"precision": 3,
"nai": "@@000000021"
},
"HIVE_MIN_LIQUIDITY_REWARD_PERIOD_SEC": 60000000,
"HIVE_MIN_PAYOUT_HBD": {
"amount": "20",
"precision": 3,
"nai": "@@000000013"
},
"HIVE_MIN_POW_REWARD": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
},
"HIVE_MIN_PRODUCER_REWARD": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
},
"HIVE_MIN_TRANSACTION_EXPIRATION_LIMIT": 15,
"HIVE_MIN_TRANSACTION_SIZE_LIMIT": 1024,
"HIVE_MIN_UNDO_HISTORY": 10,
"HIVE_NULL_ACCOUNT": "null",
"HIVE_NUM_INIT_MINERS": 1,
"HIVE_OWNER_AUTH_HISTORY_TRACKING_START_BLOCK_NUM": 1,
"HIVE_OWNER_AUTH_RECOVERY_PERIOD": 60000000,
"HIVE_OWNER_CHALLENGE_COOLDOWN": "86400000000",
"HIVE_OWNER_CHALLENGE_FEE": {
"amount": "30000",
"precision": 3,
"nai": "@@000000021"
},
"HIVE_OWNER_UPDATE_LIMIT": 0,
"HIVE_POST_AVERAGE_WINDOW": 86400,
"HIVE_POST_REWARD_FUND_NAME": "post",
"HIVE_POST_WEIGHT_CONSTANT": 1600000000,
"HIVE_POW_APR_PERCENT": 750,
"HIVE_PRODUCER_APR_PERCENT": 750,
"HIVE_PROXY_TO_SELF_ACCOUNT": "",
"HIVE_HBD_INTEREST_COMPOUND_INTERVAL_SEC": 2592000,
"HIVE_SECONDS_PER_YEAR": 31536000,
"HIVE_PROPOSAL_FUND_PERCENT_HF0": 0,
"HIVE_PROPOSAL_FUND_PERCENT_HF21": 1000,
"HIVE_RECENT_RSHARES_DECAY_TIME_HF19": "1296000000000",
"HIVE_RECENT_RSHARES_DECAY_TIME_HF17": "2592000000000",
"HIVE_REVERSE_AUCTION_WINDOW_SECONDS_HF6": 1800,
"HIVE_REVERSE_AUCTION_WINDOW_SECONDS_HF20": 900,
"HIVE_REVERSE_AUCTION_WINDOW_SECONDS_HF21": 300,
"HIVE_ROOT_POST_PARENT": "",
"HIVE_SAVINGS_WITHDRAW_REQUEST_LIMIT": 100,
"HIVE_SAVINGS_WITHDRAW_TIME": "259200000000",
"HIVE_HBD_START_PERCENT_HF14": 200,
"HIVE_HBD_START_PERCENT_HF20": 900,
"HIVE_HBD_STOP_PERCENT_HF14": 500,
"HIVE_HBD_STOP_PERCENT_HF20": 1000,
"HIVE_SECOND_CASHOUT_WINDOW": 259200,
"HIVE_SOFT_MAX_COMMENT_DEPTH": 255,
"HIVE_START_MINER_VOTING_BLOCK": 864000,
"HIVE_START_VESTING_BLOCK": 201600,
"HIVE_TEMP_ACCOUNT": "temp",
"HIVE_UPVOTE_LOCKOUT_HF7": 60000000,
"HIVE_UPVOTE_LOCKOUT_HF17": 300000000,
"HIVE_UPVOTE_LOCKOUT_SECONDS": 300,
"HIVE_VESTING_FUND_PERCENT_HF16": 1500,
"HIVE_VESTING_WITHDRAW_INTERVALS": 13,
"HIVE_VESTING_WITHDRAW_INTERVALS_PRE_HF_16": 104,
"HIVE_VESTING_WITHDRAW_INTERVAL_SECONDS": 604800,
"HIVE_VOTE_DUST_THRESHOLD": 50000000,
"HIVE_VOTING_MANA_REGENERATION_SECONDS": 432000,
"HIVE_SYMBOL": {"nai": "@@000000021", "precision": 3},
"VESTS_SYMBOL": {"nai": "@@000000037", "precision": 6},
"HIVE_VIRTUAL_SCHEDULE_LAP_LENGTH": "18446744073709551615",
"HIVE_VIRTUAL_SCHEDULE_LAP_LENGTH2": "340282366920938463463374607431768211455",
"HIVE_VOTES_PER_PERIOD_SMT_HF": 50,
"HIVE_MAX_LIMIT_ORDER_EXPIRATION": 2419200,
"HIVE_DELEGATION_RETURN_PERIOD_HF0": 3600,
"HIVE_DELEGATION_RETURN_PERIOD_HF20": 432000,
"HIVE_RD_MIN_DECAY_BITS": 6,
"HIVE_RD_MAX_DECAY_BITS": 32,
"HIVE_RD_DECAY_DENOM_SHIFT": 36,
"HIVE_RD_MAX_POOL_BITS": 64,
"HIVE_RD_MAX_BUDGET_1": "17179869183",
"HIVE_RD_MAX_BUDGET_2": 268435455,
"HIVE_RD_MAX_BUDGET_3": 2147483647,
"HIVE_RD_MAX_BUDGET": 268435455,
"HIVE_RD_MIN_DECAY": 64,
"HIVE_RD_MIN_BUDGET": 1,
"HIVE_RD_MAX_DECAY": 4294967295,
"HIVE_ACCOUNT_SUBSIDY_PRECISION": 10000,
"HIVE_WITNESS_SUBSIDY_BUDGET_PERCENT": 12500,
"HIVE_WITNESS_SUBSIDY_DECAY_PERCENT": 210000,
"HIVE_DEFAULT_ACCOUNT_SUBSIDY_DECAY": 347321,
"HIVE_DEFAULT_ACCOUNT_SUBSIDY_BUDGET": 797,
"HIVE_DECAY_BACKSTOP_PERCENT": 9000,
"HIVE_BLOCK_GENERATION_POSTPONED_TX_LIMIT": 5,
"HIVE_PENDING_TRANSACTION_EXECUTION_LIMIT": 200000,
"HIVE_TREASURY_ACCOUNT": "hive.fund",
"HIVE_TREASURY_FEE": 10000,
"HIVE_PROPOSAL_MAINTENANCE_PERIOD": 3600,
"HIVE_PROPOSAL_MAINTENANCE_CLEANUP": 86400,
"HIVE_PROPOSAL_SUBJECT_MAX_LENGTH": 80,
"HIVE_PROPOSAL_MAX_IDS_NUMBER": 5,
"HIVE_NETWORK_TYPE": "testnet",
"HIVE_DB_FORMAT_VERSION": "1"
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_config", "id":1}' https://api.hive.blog
Query Parameters JSON
{}
Expected Response JSON
{
"base": {
"amount": "1",
"precision": 3,
"nai": "@@000000013"
},
"quote": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
}
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_current_price_feed", "id":1}' https://api.hive.blog
database_api.get_dynamic_global_properties
Returns the current dynamic global properties. See: Understanding Dynamic Global Properties
Query Parameters JSON
{}
Expected Response JSON
{
"id": 0,
"head_block_number": 293261,
"head_block_id": "0004798df7357f23b9e6d4b6739e4ca9eac2f403",
"time": "2019-12-14T22:58:51",
"current_witness": "init-0",
"total_pow": "18446744073709551615",
"num_pow_witnesses": 0,
"virtual_supply": {
"amount": "286041551516",
"precision": 3,
"nai": "@@000000021"
},
"current_supply": {
"amount": "250990841260",
"precision": 3,
"nai": "@@000000021"
},
"init_hbd_supply": {
"amount": "7000000000",
"precision": 3,
"nai": "@@000000013"
},
"current_hbd_supply": {
"amount": "35050710256",
"precision": 3,
"nai": "@@000000013"
},
"total_vesting_fund_hive": {
"amount": "146016220388",
"precision": 3,
"nai": "@@000000021"
},
"total_vesting_shares": {
"amount": "52556676118700",
"precision": 6,
"nai": "@@000000037"
},
"pending_rewarded_vesting_shares": {
"amount": "55809356614",
"precision": 6,
"nai": "@@000000037"
},
"pending_rewarded_vesting_hive": {
"amount": "154999023",
"precision": 3,
"nai": "@@000000021"
},
"hbd_interest_rate": 1000,
"hbd_print_rate": 0,
"maximum_block_size": 131072,
"current_remove_threshold": 200,
"current_aslot": 41585977,
"recent_slots_filled": "340282366920938463463374607431768211455",
"participation_count": 128,
"last_irreversible_block_num": 293240,
"delegation_return_period": 432000,
"reverse_auction_seconds": 300,
"early_voting_seconds": 86400,
"mid_voting_seconds": 172800,
"available_account_subsidies": 120334411,
"hbd_stop_percent": 1000,
"hbd_start_percent": 900,
"next_maintenance_time": "2019-12-14T23:18:24",
"next_daily_maintenance_time": "2019-12-15T00:00:00",
"last_budget_time": "2019-12-14T22:18:24",
"content_reward_percent": 6500,
"vesting_reward_percent": 1500,
"proposal_fund_percent": 1000,
"dhf_interval_ledger": {
"amount": "213590",
"precision": 3,
"nai": "@@000000013"
},
"downvote_pool_percent": 2500,
"vote_power_reserve_rate": 10,
"min_recurrent_transfers_recurrence": 24,
"max_open_recurrent_transfers": 255,
"max_recurrent_transfer_end_date": 730,
"max_consecutive_recurrent_transfer_failures": 10,
"total_reward_fund_hive": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"total_reward_shares2": "0"
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_dynamic_global_properties", "id":1}' https://api.hive.blog
Query Parameters JSON
{}
Expected Response JSON
{
"id": 0,
"current_min_history": {
"base": {
"amount": "1",
"precision": 3,
"nai": "@@000000013"
},
"quote": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
}
},
"current_median_history": {
"base": {
"amount": "1",
"precision": 3,
"nai": "@@000000013"
},
"quote": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
}
},
"current_max_history": {
"base": {
"amount": "1",
"precision": 3,
"nai": "@@000000013"
},
"quote": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
}
},
"market_median_history": {
"base": {
"amount": "1",
"precision": 3,
"nai": "@@000000013"
},
"quote": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
}
},
"price_history": []
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_feed_history", "id":1}' https://api.hive.blog
Query Parameters JSON
{}
Expected Response JSON
{
"id": 0,
"processed_hardforks": [
"2016-03-24T16:00:00",
"2016-04-25T17:30:00",
"2016-04-26T18:00:00",
"2016-04-27T13:00:00",
"2016-04-30T15:00:00",
"2016-05-31T17:00:00",
"2016-06-30T14:00:00",
"2016-07-04T00:00:00",
"2016-07-04T01:00:00",
"2016-07-14T00:00:00",
"2016-07-15T12:00:00",
"2016-07-17T15:00:00",
"2016-07-26T15:00:00",
"2016-08-15T14:00:00",
"2016-09-20T15:00:00",
"2016-11-08T16:00:00",
"2016-12-06T16:00:00",
"2017-03-30T15:00:00",
"2017-03-30T15:00:00",
"2017-06-20T15:00:00",
"2018-09-25T15:00:00",
"2019-08-27T15:00:00",
"2019-08-29T15:00:00",
"2020-03-20T14:00:00",
"2020-10-06T14:00:00",
"2021-06-30T14:00:00",
"2022-10-11T12:00:00"
],
"last_hardfork": 26,
"current_hardfork_version": "1.26.0",
"next_hardfork": "1.26.0",
"next_hardfork_time": "2022-10-11T12:00:00"
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_hardfork_properties", "id":1}' https://api.hive.blog
Query Parameters JSON
{
"limit": 0,
"base": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
},
"quote": {
"amount": "1",
"precision": 3,
"nai": "@@000000013"
}
}
Expected Response JSON
{"asks": [], "bids": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_order_book", "params":{"limit":10,"base":{"amount":"1000","precision":3,"nai":"@@000000021"},"quote":{"amount":"1","precision":3,"nai":"@@000000013"}}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_order_book", "params":{"limit":50,"base":{"amount":"1000","precision":3,"nai":"@@000000021"},"quote":{"amount":"1","precision":3,"nai":"@@000000013"}}, "id":1}' https://api.hive.blog
database_api.get_potential_signatures
This method will return the set of all public keys that could possibly
sign for a given transaction. This call can be used by wallets to filter
their set of public keys to just the relevant subset prior to calling
get_required_signatures to get the minimum subset.
Query Parameters JSON
{
"trx": {
"ref_block_num": 0,
"ref_block_prefix": 0,
"expiration": "1970-01-01T00:00:00",
"operations": [],
"extensions": [],
"signatures": []
}
}
Expected Response JSON
{"keys": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_potential_signatures", "params":{"trx":{"ref_block_num":1097,"ref_block_prefix":2181793527,"expiration":"2016-03-24T18:00:21","operations":[{"type":"pow_operation","value":{"worker_account":"cloop3","block_id":"00000449f7860b82b4fbe2f317c670e9f01d6d9a","nonce":3899,"work":{"worker":"STM7P5TDnA87Pj9T4mf6YHrhzjC1KbPZpNxLWCcVcHxNYXakpoT4F","input":"ae8e7c677119d22385f8c48026fee7aad7bba693bf788d7f27047f40b47738c0","signature":"1f38fe9a3f9989f84bd94aa5bbc88beaf09b67f825aa4450cf5105d111149ba6db560b582c7dbb026c7fc9c2eb5051815a72b17f6896ed59d3851d9a0f9883ca7a","work":"000e7b209d58f2e64b36e9bf12b999c6c7af168cc3fc41eb7f8a4bf796c174c3"},"props":{"account_creation_fee":{"amount":"100000","precision":3,"nai":"@@000000021"},"maximum_block_size":131072,"hbd_interest_rate":1000}}}],"extensions":[],"signatures":[]}}, "id":1}' https://api.hive.blog
Query Parameters JSON
{
"trx": {
"ref_block_num": 0,
"ref_block_prefix": 0,
"expiration": "1970-01-01T00:00:00",
"operations": [],
"extensions": [],
"signatures": []
},
"available_keys": []
}
Expected Response JSON
{"keys": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_required_signatures", "params":{"trx":{"ref_block_num":1097,"ref_block_prefix":2181793527,"expiration":"2016-03-24T18:00:21","operations":[{"type":"pow_operation","value":{"worker_account":"cloop3","block_id":"00000449f7860b82b4fbe2f317c670e9f01d6d9a","nonce":3899,"work":{"worker":"STM7P5TDnA87Pj9T4mf6YHrhzjC1KbPZpNxLWCcVcHxNYXakpoT4F","input":"ae8e7c677119d22385f8c48026fee7aad7bba693bf788d7f27047f40b47738c0","signature":"1f38fe9a3f9989f84bd94aa5bbc88beaf09b67f825aa4450cf5105d111149ba6db560b582c7dbb026c7fc9c2eb5051815a72b17f6896ed59d3851d9a0f9883ca7a","work":"000e7b209d58f2e64b36e9bf12b999c6c7af168cc3fc41eb7f8a4bf796c174c3"},"props":{"account_creation_fee":{"amount":"100000","precision":3,"nai":"@@000000021"},"maximum_block_size":131072,"hbd_interest_rate":1000}}}],"extensions":[],"signatures":[]},"available_keys":[]}, "id":1}' https://api.hive.blog
Query Parameters JSON
{}
Expected Response JSON
{
"funds": [
{
"id": 0,
"name": "post",
"reward_balance": {
"amount": "189101553",
"precision": 3,
"nai": "@@000000021"
},
"recent_claims": "2723043883497",
"last_update": "2019-12-14T23:10:42",
"content_constant": "2000000000000",
"percent_curation_rewards": 5000,
"percent_content_rewards": 10000,
"author_reward_curve": "convergent_linear",
"curation_reward_curve": "convergent_square_root"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_reward_funds", "id":1}' https://api.hive.blog
Query Parameters JSON
{
"trx": {
"ref_block_num": 0,
"ref_block_prefix": 0,
"expiration": "1970-01-01T00:00:00",
"operations": [],
"extensions": [],
"signatures": []
}
}
Expected Response JSON
{"hex": "00000000000000000000000000"}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_transaction_hex", "params":{"trx":{"ref_block_num":1097,"ref_block_prefix":2181793527,"expiration":"2016-03-24T18:00:21","operations":[{"type":"pow_operation","value":{"worker_account":"cloop3","block_id":"00000449f7860b82b4fbe2f317c670e9f01d6d9a","nonce":3899,"work":{"worker":"STM7P5TDnA87Pj9T4mf6YHrhzjC1KbPZpNxLWCcVcHxNYXakpoT4F","input":"ae8e7c677119d22385f8c48026fee7aad7bba693bf788d7f27047f40b47738c0","signature":"1f38fe9a3f9989f84bd94aa5bbc88beaf09b67f825aa4450cf5105d111149ba6db560b582c7dbb026c7fc9c2eb5051815a72b17f6896ed59d3851d9a0f9883ca7a","work":"000e7b209d58f2e64b36e9bf12b999c6c7af168cc3fc41eb7f8a4bf796c174c3"},"props":{"account_creation_fee":{"amount":"100000","precision":3,"nai":"@@000000021"},"maximum_block_size":131072,"hbd_interest_rate":1000}}}],"extensions":[],"signatures":[]}}, "id":1}' https://api.hive.blog
Query Parameters JSON
{}
Expected Response JSON
{
"blockchain_version": "0.23.0",
"hive_revision": "5cda10a488cf77f68549ec6d3a6be9af2ea9351b",
"fc_revision": "5cda10a488cf77f68549ec6d3a6be9af2ea9351b",
"chain_id": "beeab0de00000000000000000000000000000000000000000000000000000000"
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_version", "id":1}' https://api.hive.blog
Query Parameters JSON
{"include_future": true}
Expected Response JSON
{
"id": 0,
"current_virtual_time": "55892543567970911424442556665819",
"next_shuffle_block_num": 293580,
"current_shuffled_witnesses": [
"init-2",
"init-11",
"init-18",
"init-16",
"init-1",
"init-10",
"init-0",
"init-14",
"init-13",
"gandalf",
"init-3",
"init-12",
"init-5",
"init-17",
"initminer",
"init-19",
"init-4",
"init-15",
"drakos",
"gtg",
"init-7"
],
"future_shuffled_witnesses": ["future-witness"],
"num_scheduled_witnesses": 21,
"elected_weight": 1,
"timeshare_weight": 5,
"miner_weight": 1,
"witness_pay_normalization_factor": 25,
"median_props": {
"account_creation_fee": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"maximum_block_size": 131072,
"hbd_interest_rate": 1000,
"account_subsidy_budget": 797,
"account_subsidy_decay": 347321
},
"majority_version": "0.23.0",
"max_voted_witnesses": 20,
"max_miner_witnesses": 0,
"max_runner_witnesses": 1,
"hardfork_required_witnesses": 17,
"account_subsidy_rd": {
"resource_unit": 10000,
"budget_per_time_unit": 797,
"pool_eq": 157691079,
"max_pool_size": 157691079,
"decay_params": {
"decay_per_time_unit": 347321,
"decay_per_time_unit_denom_shift": 36
},
"min_decay": 0
},
"account_subsidy_witness_rd": {
"resource_unit": 10000,
"budget_per_time_unit": 996,
"pool_eq": 9384019,
"max_pool_size": 9384019,
"decay_params": {
"decay_per_time_unit": 7293741,
"decay_per_time_unit_denom_shift": 36
},
"min_decay": 612
},
"min_witness_account_subsidy_decay": 0
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_witness_schedule", "params":{"include_future":true}, "id":1}' https://api.hive.blog
database_api.list_account_recovery_requests
Returns a list of account recovery requests. Parameters: start:string, limit:int, order:string
limitis up to 1000.ordercan be one of:by_account- order by accont nameby_expiration- order by expiration
account (string) |
limit (int) |
order (string) |
|
|---|---|---|---|
"hiveio" |
10 | "by_account" |
Queries the recovery requests for account named “hiveio”, ordered by account name. |
["1960-01-01T00:00:00"] |
10 | "by_expiration" |
Queries the recovery requests for date, ordered by expiration. |
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{"requests": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_account_recovery_requests", "params": {"start":"", "limit":10, "order":"by_account"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_account_recovery_requests", "params": {"start":["1960-01-01T00:00:00"], "limit":10, "order":"by_expiration"}, "id":1}' https://api.hive.blog
database_api.list_accounts
List accounts ordered by specified key. Parameters: start:object, limit:int, order:string, delayed_votes_active:boolean
limitis up to 1000.ordercan be one of:by_name- order by accont nameby_proxy- order by proxyby_next_vesting_withdrawal- order by next next vesting withdrawal
delayed_votes_activedefault true (optional)
start (object) |
limit (int) |
order (string) |
delayed_votes_active (boolean) |
|---|---|---|---|
"" |
10 |
"by_name" Queries for up to 10 accounts starting at the beginning, sorted by name. |
|
["", ""] |
10 |
"by_proxy" Queries for up to 10 accounts starting at the beginning, sorted by proxy. |
|
["1960-01-01T00:00:00", ""] |
10 |
"by_next_vesting_withdrawal" Queries for up to 10 accounts starting at the beginning, sorted by next vesting withdrawl. |
false |
Also see: Paginated API Methods
Query Parameters JSON
{
"start": null,
"limit": 0,
"order": "by_name",
"delayed_votes_active": true
}
Expected Response JSON
{
"accounts": [
{
"id": 7184,
"name": "a-0",
"owner": {
"weight_threshold": 1,
"account_auths": [],
"key_auths": [
[
"STM5RrTRNDhhrMaA24SzSeE5AvmUcutb1q1VZp1imnT8p871s3UjN",
1
]
]
},
"active": {
"weight_threshold": 1,
"account_auths": [],
"key_auths": [
[
"STM5RrTRNDhhrMaA24SzSeE5AvmUcutb1q1VZp1imnT8p871s3UjN",
1
]
]
},
"posting": {
"weight_threshold": 1,
"account_auths": [],
"key_auths": [
[
"STM5RrTRNDhhrMaA24SzSeE5AvmUcutb1q1VZp1imnT8p871s3UjN",
1
]
]
},
"memo_key": "STM5RrTRNDhhrMaA24SzSeE5AvmUcutb1q1VZp1imnT8p871s3UjN",
"json_metadata": "",
"posting_json_metadata": "",
"proxy": "",
"last_owner_update": "1970-01-01T00:00:00",
"last_account_update": "1970-01-01T00:00:00",
"created": "2016-04-30T12:27:12",
"mined": true,
"recovery_account": "hiveio",
"last_account_recovery": "1970-01-01T00:00:00",
"reset_account": "null",
"comment_count": 0,
"lifetime_vote_count": 0,
"post_count": 0,
"can_vote": true,
"voting_manabar": {
"current_mana": 10000,
"last_update_time": 1462019232
},
"downvote_manabar": {
"current_mana": 0,
"last_update_time": 1462019232
},
"balance": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
},
"savings_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"hbd_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"hbd_seconds": "0",
"hbd_seconds_last_update": "1970-01-01T00:00:00",
"hbd_last_interest_payment": "1970-01-01T00:00:00",
"savings_hbd_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"savings_hbd_seconds": "0",
"savings_hbd_seconds_last_update": "1970-01-01T00:00:00",
"savings_hbd_last_interest_payment": "1970-01-01T00:00:00",
"savings_withdraw_requests": 0,
"reward_hbd_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"reward_hive_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"reward_vesting_balance": {
"amount": "0",
"precision": 6,
"nai": "@@000000037"
},
"reward_vesting_hive": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"vesting_shares": {
"amount": "13873020360",
"precision": 6,
"nai": "@@000000037"
},
"delegated_vesting_shares": {
"amount": "0",
"precision": 6,
"nai": "@@000000037"
},
"received_vesting_shares": {
"amount": "0",
"precision": 6,
"nai": "@@000000037"
},
"vesting_withdraw_rate": {
"amount": "0",
"precision": 6,
"nai": "@@000000037"
},
"post_voting_power": {
"amount": "13873020360",
"precision": 6,
"nai": "@@000000037"
},
"next_vesting_withdrawal": "1969-12-31T23:59:59",
"withdrawn": 0,
"to_withdraw": 0,
"withdraw_routes": 0,
"pending_transfers": 0,
"curation_rewards": 0,
"posting_rewards": 0,
"proxied_vsf_votes": [0, 0, 0, 0],
"witnesses_voted_for": 0,
"last_post": "1970-01-01T00:00:00",
"last_root_post": "1970-01-01T00:00:00",
"last_post_edit": "1970-01-01T00:00:00",
"last_vote_time": "1970-01-01T00:00:00",
"post_bandwidth": 0,
"pending_claimed_accounts": 0,
"is_smt": false,
"delayed_votes": [
{
"time": "2021-02-24T05:08:21",
"val": "11550765516955"
},
{
"time": "2021-02-26T15:46:06",
"val": "633465684569"
},
{
"time": "2021-03-07T17:54:39",
"val": "1000000037683"
},
{
"time": "2021-03-16T05:54:33",
"val": "999978763511"
},
{
"time": "2021-03-18T06:06:00",
"val": "1000000171317"
}
]
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_accounts", "params": {"start":"", "limit":10, "order":"by_name"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_accounts", "params": {"start":["", ""], "limit":10, "order":"by_proxy"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_accounts", "params": {"start":["1960-01-01T00:00:00", ""], "limit":10, "order":"by_next_vesting_withdrawal","delayed_votes_active":false}, "id":1}' https://api.hive.blog
database_api.list_change_recovery_account_requests
Returns a list of recovery account change requests. Parameters: start:object, limit:int, order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_account- order by accountstartis string of:account
by_effective_date- order by effective datestartis an array of two values:timestamp,account
start (object) |
limit (int) |
order (string) |
|
|---|---|---|---|
"" |
10 | "by_account" |
Queries first 10 requests, sort by account |
["1960-01-01T00:00:00", ""] |
10 | "by_effective_date" |
Queries first 10 requests, sort by effective date |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"requests": [
{
"id": 99,
"account_to_recover": "alice",
"recovery_account": "bob",
"effective_on": "1960-01-01T00:00:00"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_change_recovery_account_requests", "params": {"start":"alice", "limit":10, "order":"by_account"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_change_recovery_account_requests", "params": {"start":["1960-01-01T00:00:00",""], "limit":10, "order":"by_effective_date"}, "id":1}' https://api.hive.blog
database_api.list_comments
Obsolete. Current Hive source no longer defines this hived endpoint. Historical documentation is retained for compatibility context.
Returns all comments, starting with the specified options. Parameters: start:array; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_cashout_time- order by cashout timestartis an array of three required values (two optionally blank):timestamp,author,permlink
by_permlink- order by permlinkstartis an array of two required values (both optionally blank):author,permlink
by_root- order by rootstartis an array of four required values (two optional blank):root_author,root_permlink,child_author,child_permlink
by_parent- order by parentstartis an array of four required values (two optional blank):parent_author,parent_permlink,child_author,child_permlink
by_last_update- order by last updatestartis an array of four required values (two optionally blank):parent_author,update_time,start_author,permlink
by_author_last_update- order by author’s last updatestartis an array of four required values (two optionally blank):parent_author,update_time,start_author,permlink
start (array) |
limit (int) |
order (string) |
|
|---|---|---|---|
["1970-01-01T00:00:00", "", ""] |
10 | "by_cashout_time" |
Queries first 10 comments, sort by cashout time |
["", ""] |
10 | "by_permlink" |
Queries first 10 comments, sort by permlink |
["hiveio","announcing-the-launch-of-hive-blockchain", "", ""] |
10 | "by_root" |
Queries next 10 comments starting at @hiveio/firstpost, sort by root |
["hiveio","announcing-the-launch-of-hive-blockchain", "", ""] |
10 | "by_parent" |
Queries next 10 comments starting at @hiveio/firstpost, sort by parent |
["hiveio","1970-01-01T00:00:00", "", ""] |
10 | "by_last_update" |
Queries next 10 comments starting at @hiveio’s updates since timpstamp, sort by last update |
["hiveio","1970-01-01T00:00:00", "", ""] |
10 | "by_author_last_update" |
Queries next 10 comments starting at @hiveio’s updates since timestamp, sort by author’s last update |
Also see: Paginated API Methods
Replacement / Successor
- Spiritual successor:
bridge.get_ranked_posts
Use ranked post queries for current indexed content discovery.
- Related:
database_api.get_comment_pending_payouts
Use when the migration need is pending payout data for known author/permlink pairs.
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"comments": [
{
"active": "2020-03-18T16:45:21",
"author_rewards": 11835,
"id": 96448425,
"author": "berniesanders",
"permlink": "q7d2ue",
"category": "communityfork",
"title": "",
"body": "https://media.giphy.com/media/xjLlSxM5Z61FJh9wMC/giphy.gif",
"json_metadata": "{\"image\":[\"https://media.giphy.com/media/xjLlSxM5Z61FJh9wMC/giphy.gif\"],\"app\":\"steemit/0.2\"}",
"created": "2020-03-17T23:35:06",
"last_update": "2020-03-17T23:35:06",
"depth": 1,
"children": 5,
"last_payout": "2020-03-24T23:35:06",
"cashout_time": "1969-12-31T23:59:59",
"max_cashout_time": "1969-12-31T23:59:59",
"curator_payout_value": {
"amount": "2120",
"nai": "@@000000013",
"precision": 3
},
"total_payout_value": {
"amount": "2247",
"nai": "@@000000013",
"precision": 3
},
"reward_weight": 10000,
"root_author": "hiveio",
"root_permlink": "announcing-the-launch-of-hive-blockchain",
"allow_replies": true,
"allow_votes": true,
"allow_curation_rewards": true,
"parent_author": "hiveio",
"parent_permlink": "announcing-the-launch-of-hive-blockchain",
"beneficiaries": [],
"max_accepted_payout": {
"amount": "1000000000",
"nai": "@@000000013",
"precision": 3
},
"percent_hbd": 10000,
"net_votes": 30,
"total_vote_weight": 0,
"vote_rshares": 0,
"net_rshares": 0,
"abs_rshares": 0,
"children_abs_rshares": 0
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_comments", "params": {"start":["1970-01-01T00:00:00","",""], "limit":10, "order":"by_cashout_time"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_comments", "params": {"start":["",""], "limit":10, "order":"by_permlink"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_comments", "params": {"start":["hiveio","announcing-the-launch-of-hive-blockchain","",""], "limit":10, "order":"by_root"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_comments", "params": {"start":["hiveio","announcing-the-launch-of-hive-blockchain","",""], "limit":10, "order":"by_parent"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_comments", "params": {"start":["hiveio","1970-01-01T00:00:00","",""], "limit":10, "order":"by_last_update"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_comments", "params": {"start":["hiveio","1970-01-01T00:00:00","",""], "limit":10, "order":"by_author_last_update"}, "id":1}' https://api.hive.blog
database_api.list_decline_voting_rights_requests
Returns a list of decline voting rights requests. Parameters: start:object; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_account- order by accountstartis a string:account
by_effective_date- order by effective datestartis an array of two values:timestamp,account
start (object) |
limit (int) |
order (string) |
|
|---|---|---|---|
"" |
10 | "by_account" |
Queries first 10 requests, sort by account |
["1960-01-01T00:00:00", ""] |
10 | "by_effective_date" |
Queries first 10 requests, sort by effective date |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{"requests": []}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_decline_voting_rights_requests", "params": {"start":"", "limit":10, "order":"by_account"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_decline_voting_rights_requests", "params": {"start":["1970-01-01T00:00:00","",""], "limit":10, "order":"by_effective_date"}, "id":1}' https://api.hive.blog
database_api.list_escrows
Returns a list of escrows. Parameters: start:array; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_from_id- order by idstartis an array of two values:account,escrow_id
by_ratification_deadline- order by ratification deadlinestartis an array of three values:is_approved,timestamp,escrow_id
start (array) |
limit (int) |
order (string) |
|
|---|---|---|---|
["alice", 99] |
10 | "by_from_id" |
Queries first 10 requests, sort by id |
[true, "1960-01-01T00:00:00", 99] |
10 | "by_ratification_deadline" |
Queries first 10 requests, sort by ratification deadline |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"escrows": [
{
"id": 158,
"escrow_id": 1,
"from": "addicttolife",
"to": "fundition.help",
"agent": "ongame",
"ratification_deadline": "2018-11-23T17:31:26",
"escrow_expiration": "2018-11-24T17:31:26",
"hbd_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"hive_balance": {
"amount": "4832",
"precision": 3,
"nai": "@@000000021"
},
"pending_fee": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"to_approved": true,
"agent_approved": true,
"disputed": false
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_escrows", "params": {"start":["",0], "limit":10, "order":"by_from_id"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_escrows", "params": {"start":[true, "1970-01-01T00:00:00", 0], "limit":10, "order":"by_ratification_deadline"}, "id":1}' https://api.hive.blog
database_api.list_limit_orders
Returns a list of limit orders. Parameters: start:array; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_price- order by pricestartis an array of two values:price,order_type
by_account- order by accountstartis an array of two values:account,order_id
start (array) |
limit (int) |
order (string) |
|
|---|---|---|---|
[{"base": {"amount": "85405", "precision": 3, "nai": "@@000000021"}, "quote": {"amount": "17192", "precision": 3, "nai": "@@000000013"}}, 0] |
10 | "by_price" |
Queries first 10 requests, sort by price |
["alice", 0] |
10 | "by_account" |
Queries first 10 requests, sort by account |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"orders": [
{
"id": 3155591,
"created": "2018-12-05T06:34:21",
"expiration": "2018-12-15T06:34:20",
"seller": "teamsmooth-mm",
"orderid": 2000,
"for_sale": 197714,
"sell_price": {
"base": {
"amount": "198513",
"precision": 3,
"nai": "@@000000021"
},
"quote": {
"amount": "80000",
"precision": 3,
"nai": "@@000000013"
}
}
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_limit_orders", "params": {"start":[{"base":{"amount":"1000","precision":3,"nai":"@@000000021"},"quote":{"amount":"1","precision":3,"nai":"@@000000013"}},0], "limit":10, "order":"by_price"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_limit_orders", "params": {"start":["alice",0], "limit":10, "order":"by_account"}, "id":1}' https://api.hive.blog
database_api.list_owner_histories
Returns a list of owner authority histories. Parameters: start:array, limit:int
start (array) |
limit (int) |
|
|---|---|---|
["hiveio", "1970-01-01T00:00:00"] |
10 | Queries the owner history starting from account named “hiveio” on “1970-01-01T00:00:00”, limit 10 results. |
["alice", "1970-01-01T00:00:00"] |
10 | Queries the owner history starting from account named “alice”, limit 10 results. |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0}
Expected Response JSON
{
"owner_auths": [
{
"id": 129742,
"account": "a-m",
"previous_owner_authority": {
"weight_threshold": 1,
"account_auths": [],
"key_auths": [
[
"STM7J6gXoztfTscNzmzL11DFtTPCFCTeZzsFtFxsQrQw91KnN1YxQ",
1
]
]
},
"last_valid_time": "2018-11-24T02:35:27"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_owner_histories", "params": {"start":["hiveio","1970-01-01T00:00:00"], "limit":10}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_owner_histories", "params": {"start":["alice","1970-01-01T00:00:00"], "limit":10}, "id":1}' https://api.hive.blog
database_api.list_savings_withdrawals
Returns a list of savings withdrawls. Parameters: start:object, limit:int, order:string
limitis up to 1000.ordercan be one of:by_from_id- order by idstartis an array of two values:account,request_id
by_complete_from_id- order by id (complete)startis an array of three values:timestamp,account,request_id
by_to_complete- order by completestartis an array of three values:account,timestamp,order_id
start (object) |
limit (int) |
order (string) |
|
|---|---|---|---|
[0] |
10 |
"by_from_id" |
Queries the savings withdraw for id. |
["2018-12-07T16:54:03", "hiveio", 0] |
10 |
"by_complete_from_id" |
Queries the savings withdraw for id (completed). |
["", "1970-01-01T00:00:00", 0] |
10 |
"by_to_complete" |
Queries the savings withdraw completed. |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"withdrawals": [
{
"id": 120083,
"from": "adafnnys",
"to": "adafnnys",
"memo": "",
"request_id": 1543942411,
"amount": {
"amount": "2413",
"precision": 3,
"nai": "@@000000013"
},
"complete": "2018-12-07T16:54:03"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_savings_withdrawals", "params": {"start":[0], "limit":10, "order":"by_from_id"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_savings_withdrawals", "params": {"start":["2018-12-07T16:54:03", "hiveio", 0], "limit":10, "order":"by_complete_from_id"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_savings_withdrawals", "params": {"start":["", "1970-01-01T00:00:00", 0], "limit":10, "order":"by_to_complete"}, "id":1}' https://api.hive.blog
database_api.list_hbd_conversion_requests
Returns the list of HBD conversion requests for an account. Parameters: start:array, limit:int, order:string
limitis up to 1000.ordercan be one of:by_account- order by accont namestartis an array of two values:account,request_id
by_conversion_date- order by conversion datestartis an array of two values:timestamp,request_id
start (array) |
limit (int) |
order (string) |
|
|---|---|---|---|
["hiveio", 0] |
10 | by_account |
Queries a conversion request for hiveio, limit to 10 results, order by account name. |
["2018-12-07T16:54:03", 0] |
10 | by_conversion_date |
Queries a conversion request from this date, limit to 10 results, order by conversion date. |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"requests": [
{
"id": 75677,
"owner": "adenijiadeshina",
"requestid": 3,
"amount": {
"amount": "311",
"precision": 3,
"nai": "@@000000013"
},
"conversion_date": "2018-12-06T20:42:42"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_hbd_conversion_requests", "params": {"start":["hiveio", 0], "limit":10, "order":"by_account"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_hbd_conversion_requests", "params": {"start":["2018-12-07T16:54:03", 0], "limit":10, "order":"by_conversion_date"}, "id":1}' https://api.hive.blog
database_api.list_vesting_delegation_expirations
Returns a list of vesting delegation expirations. Parameters: start:array, limit:int, order:string
limitis up to 1000.ordercan be one of:by_expiration- order by expirationstartis an array of two values:timestamp,expiration_id
by_account_expiration- order by account expirationstartis an array of two values:account,timestamp,expiration_id
start (array) |
limit (int) |
order (string) |
|
|---|---|---|---|
["1970-01-01T00:00:00", 0] |
10 | by_expiration |
Queries delegations, limit to 10 results, order by expiration. |
["alice", "1970-01-01T00:00:00", 0] |
10 | by_account_expiration |
Queries delegation from this date, limit to 10 results, order by account expiration. |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"delegations": [
{
"id": 3076685,
"delegator": "anonsteem",
"vesting_shares": {
"amount": "6050629930",
"precision": 6,
"nai": "@@000000037"
},
"expiration": "2018-12-05T07:07:15"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_vesting_delegation_expirations", "params": {"start":["1970-01-01T00:00:00",0], "limit":10, "order":"by_expiration"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_vesting_delegation_expirations", "params": {"start":["alice", "1970-01-01T00:00:00",0], "limit":10, "order":"by_account_expiration"}, "id":1}' https://api.hive.blog
database_api.list_vesting_delegations
Returns a list of vesting delegations. Parameters: start:array, limit:int, order:string
limitis up to 1000.ordercan be one of:by_delegation- order by delegationsstartis an array of two values:delegator,delegatee
start (array) |
limit (int) |
order (string) |
|
|---|---|---|---|
["", ""] |
10 | by_delegation |
Queries delegations, limit to 10 results, order by delegations. |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"delegations": [
{
"id": 554317,
"delegator": "a-0-0-0",
"delegatee": "a-0-0",
"vesting_shares": {
"amount": "6141067173",
"precision": 6,
"nai": "@@000000037"
},
"min_delegation_time": "2018-01-24T22:23:54"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_vesting_delegations", "params": {"start":["",""], "limit":10, "order":"by_delegation"}, "id":1}' https://api.hive.blog
database_api.list_votes
Obsolete. Current Hive source no longer defines this hived endpoint. Historical documentation is retained for compatibility context.
Returns all votes, starting with the specified voter and/or author and permlink. Parameters: start:array; limit:int; order:string
startdepends onorder(see below)voteris optionalauthorandpermlinkare optional, but if one is blank, they must both be blank
limitis up to 1000.ordercan be one of:by_comment_voter- order by comment voterstartis an array of three optional values:author,permlink,voter
by_voter_comment- order by voter commentstartis an array of three optional values:voter,author,permlink
start (array) |
limit (int) |
order (string) |
|
|---|---|---|---|
["", "", ""] |
10 | "by_comment_voter" |
Queries first 10 votes, sort by comment voter |
["", "", ""] |
10 | "by_voter_comment" |
Queries first 10 votes, sort by voter comment |
["xeroc", "vanteem-config", ""] |
10 | "by_comment_voter" |
Queries next 10 votes starting on the post @xeroc/vanteem-config, sort by comment voter |
["alice", "xeroc", "vanteem-config"] |
10 | "by_voter_comment" |
Queries next 10 votes starting at alice on the post @xeroc/vanteem-config, sort by voter comment |
Also see: Paginated API Methods
Replacement / Successor
- Spiritual successor:
bridge.get_post
Use for active vote data on a known post; full indexed vote scans require an external indexed data source.
Query Parameters JSON
{
"start": null,
"limit": 0,
"order": "by_comment_voter"
}
Expected Response JSON
{
"votes": [
{
"id": 9,
"voter": "dantheman",
"author": "hiveio",
"permlink": "firstpost",
"weight": "32866333630",
"rshares": 375241,
"vote_percent": 100,
"last_update": "2016-04-07T19:15:36",
"num_changes": -1
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_votes", "params": {"start":["", "", ""], "limit":10, "order":"by_comment_voter"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_votes", "params": {"start":["", "", ""], "limit":10, "order":"by_voter_comment"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_votes", "params": {"start":["", "", "hiveio"], "limit":10, "order":"by_comment_voter"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_votes", "params": {"start":["alice", "xeroc", "vanteem-config"], "limit":10, "order":"by_voter_comment"}, "id":1}' https://api.hive.blog
database_api.list_withdraw_vesting_routes
Returns a list of vesting withdraw routes. Parameters: start:array; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_withdraw_route- order by withdraw routestartis an array of two values:from_account,to_account
by_destination- order by destinationstartis an array of two values:to_account,route_id
start (array) |
limit (int) |
order (string) |
|
|---|---|---|---|
["temp", ""] |
10 | "by_withdraw_route" |
Queries first 10 routes, sort by withdraw route |
["", 0] |
10 | "by_destination" |
Queries first 10 routes, sort by destination |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"routes": [
{
"id": 39503,
"from_account": "temperature",
"to_account": "luckdiver",
"percent": 10000,
"auto_vest": false
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_withdraw_vesting_routes", "params": {"start":["temp",""], "limit":10, "order":"by_withdraw_route"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_withdraw_vesting_routes", "params": {"start":["",0], "limit":10, "order":"by_destination"}, "id":1}' https://api.hive.blog
database_api.list_witness_votes
Returns a list of witness votes. Parameters: start:array; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_account_witness- order by account witnessstartis an array of two values:account,witness
by_witness_account- order by witness accountstartis an array of two values:witness,account
start (array) |
limit (int) |
order (string) |
|
|---|---|---|---|
["", ""] |
10 | "by_withdraw_route" |
Queries first 10 votes, sort by account witness |
["", ""] |
10 | "by_destination" |
Queries first 10 votes, sort by witness account |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"votes": [
{
"id": 428961,
"witness": "aggroed",
"account": "a-0magic"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_witness_votes", "params": {"start":["",""], "limit":10, "order":"by_account_witness"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_witness_votes", "params": {"start":["",""], "limit":10, "order":"by_witness_account"}, "id":1}' https://api.hive.blog
database_api.list_witnesses
Returns the list of witnesses. Parameters: start:object; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_name- order by namestartis string value:account
by_vote_name- order by vote, namestartis an array of two values:votes,account
by_schedule_time- order by schedule timestartis an array of two values:virtual_scheduled_time,account
start (object) |
limit (int) |
order (string) |
|
|---|---|---|---|
"" |
10 | "by_name" |
Queries first 10 witnesses, sort by account name |
[0, ""] |
10 | "by_vote_name" |
Queries first 10 witnesses, sort by votes |
["473718186844702107410533306", "alice"] |
10 | "by_schedule_time" |
Queries first 10 witnesses, sort by schedule |
Also see: Paginated API Methods
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{
"witnesses": [
{
"id": 6950,
"owner": "a-0",
"created": "1970-01-01T00:00:00",
"url": "",
"votes": 0,
"virtual_last_update": "0",
"virtual_position": "0",
"virtual_scheduled_time": "340282366920938463463374607431768211455",
"total_missed": 0,
"last_aslot": 1063323,
"last_confirmed_block_num": 1040423,
"pow_worker": 0,
"signing_key": "STM5RrTRNDhhrMaA24SzSeE5AvmUcutb1q1VZp1imnT8p871s3UjN",
"props": {
"account_creation_fee": {
"amount": "1",
"precision": 3,
"nai": "@@000000021"
},
"maximum_block_size": 131072,
"hbd_interest_rate": 1000,
"account_subsidy_budget": 797,
"account_subsidy_decay": 347321
},
"hbd_exchange_rate": {
"base": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"quote": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
}
},
"last_hbd_exchange_update": "1970-01-01T00:00:00",
"last_work": "000000127cb0e335667f30100bc1a061175c2d789f808e0e9ac82ee70fa8e604",
"running_version": "0.0.0",
"hardfork_version_vote": "0.0.0",
"hardfork_time_vote": "2016-03-24T16:00:00",
"available_witness_account_subsidies": 0
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_witnesses", "params": {"start":"", "limit":10, "order":"by_name"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_witnesses", "params": {"start":[0,""], "limit":10, "order":"by_vote_name"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_witnesses", "params": {"start":["473718186844702107410533306","alice"], "limit":10, "order":"by_schedule_time"}, "id":1}' https://api.hive.blog
database_api.verify_account_authority
Returns true if the provided public keys satisfy the requested authority level for an account.
Parameters:
account- account name to verifysigners- public keys to test against the account authoritylevel- optional authority level, one ofactive,owner, orposting; defaults toactive
Also see: condenser_api.verify_account_authority
Query Parameters JSON
{
"account": "hiveio",
"signers": [
"STM8GC13uCZbP44HzMLV6zPZGwVQ8Nt4Kji8PapsPiNq1BK153XTX"
],
"level": "active"
}
Expected Response JSON
{"valid": false}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.verify_account_authority", "params":{"account":"hiveio","signers":["STM8GC13uCZbP44HzMLV6zPZGwVQ8Nt4Kji8PapsPiNq1BK153XTX"],"level":"active"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{
"trx": {
"ref_block_num": 0,
"ref_block_prefix": 0,
"expiration": "1970-01-01T00:00:00",
"operations": [],
"extensions": [],
"signatures": []
},
"pack": "legacy"
}
Expected Response JSON
{"valid": false}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.verify_authority", "params":{"trx":{"ref_block_num":1097,"ref_block_prefix":2181793527,"expiration":"2016-03-24T18:00:21","operations":[{"type":"pow_operation","value":{"worker_account":"cloop3","block_id":"00000449f7860b82b4fbe2f317c670e9f01d6d9a","nonce":3899,"work":{"worker":"STM7P5TDnA87Pj9T4mf6YHrhzjC1KbPZpNxLWCcVcHxNYXakpoT4F","input":"ae8e7c677119d22385f8c48026fee7aad7bba693bf788d7f27047f40b47738c0","signature":"1f38fe9a3f9989f84bd94aa5bbc88beaf09b67f825aa4450cf5105d111149ba6db560b582c7dbb026c7fc9c2eb5051815a72b17f6896ed59d3851d9a0f9883ca7a","work":"000e7b209d58f2e64b36e9bf12b999c6c7af168cc3fc41eb7f8a4bf796c174c3"},"props":{"account_creation_fee":{"amount":"100000","precision":3,"nai":"@@000000021"},"maximum_block_size":131072,"hbd_interest_rate":1000}}}],"extensions":[],"signatures":[]}}, "id":1}' https://api.hive.blog
Query Parameters JSON
{
"hash": "0000000000000000000000000000000000000000000000000000000000000000",
"signatures": [],
"required_owner": [],
"required_active": [],
"required_posting": [],
"required_witness": [],
"required_other": []
}
Expected Response JSON
{"valid": true}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.verify_signatures", "params":{"hash": "0000000000000000000000000000000000000000000000000000000000000000", "signatures": [], "required_owner": [], "required_active": [], "required_posting": [], "required_witness": [], "required_other": []}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"proposal_ids": [0]}
Expected Response JSON
{
"proposals": [
{
"id": 0,
"proposal_id": "139925218365120",
"creator": "alice",
"receiver": "bob",
"start_date": "2019-07-01T00:00:00",
"end_date": "2019-08-01T23:59:59",
"daily_pay": {
"amount": "4800000",
"precision": 3,
"nai": "@@000000013"
},
"subject": "My Proposal",
"permlink": "creator-proposal-permlink",
"total_votes": "77351826710",
"status": "active"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_proposals", "params":{"proposal_ids": [0]}, "id":1}' https://api.hive.blog
database_api.list_proposal_votes
Returns all proposal votes, starting with the specified voter or proposal.id. Parameters: start:array; limit:int; order:string; order_direction:string; status:string
startdepends onorder(see below)voter- voter of the proposal (account name string)proposal.id- id the proposal (int)
limitis up to 1000.ordercan be one of:by_voter_proposal- order by proposal voterby_proposal_voter- order byproposal.id
order_directioncan be one of:ascendingdescending
statusallinactiveactiveexpiredvotable
start (array) |
limit (int) |
order (string) |
order_direction (string) |
status (string) |
|
|---|---|---|---|---|---|
["alice"] |
10 | by_voter_proposal |
ascending |
active |
list 10 proposals with active status, ordered by voter, ascending |
[10] |
1000 | by_proposal_voter |
ascending |
votable |
list 1000 votes on proposal 10, ordered by proposal.id, ascending |
When using by_proposal_voter, the API starts at the provided proposal.id but does not stop when the result set reaches a different proposal. If the target proposal has fewer votes than limit, later rows can belong to higher proposal ids. Filter returned rows by proposal.id when you need votes for one proposal only.
To continue past the 1000 row limit, request the next page with start set to the last row’s [proposal.id, voter]. For example, if the previous page for proposal 10 ended with voter alice, use [10, "alice"] as the next start value.
Also see: Paginated API Methods
Query Parameters JSON
{
"start": null,
"limit": 0,
"order": "by_name",
"order_direction": "ascending",
"status": "all"
}
Expected Response JSON
{
"proposal_votes": [
{
"id": 0,
"voter": "charlie",
"proposal": {
"id": 0,
"proposal_id": 0,
"creator": "alice",
"receiver": "bob",
"start_date": "2019-07-01T00:00:00",
"end_date": "2019-08-01T23:59:59",
"daily_pay": {
"amount": "4800000",
"precision": 3,
"nai": "@@000000013"
},
"subject": "My Proposal",
"permlink": "creator-proposal-permlink",
"total_votes": "77351826710",
"status": "active"
}
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_proposal_votes", "params":{"start": [""], "limit": 10, "order": "by_voter_proposal", "order_direction": "ascending", "status": "active"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_proposal_votes", "params":{"start": [0], "limit": 10, "order": "by_proposal_voter", "order_direction": "ascending", "status": "active"}, "id":1}' https://api.hive.blog
database_api.list_proposals
Returns all proposals, starting with the specified creator or start date. Parameters: start:array; limit:int; order:string; order_direction:string; status:string
startdepends onorder(see below)creator- creator of the proposal (account name string)start_date- start date of the proposal (date string)end_date- end date of the proposal (date string)total_votes- total votes of the proposal (int)
limitis up to 1000.ordercan be one of:by_creator- order by proposal creatorby_start_date- order by proposal start dateby_end_date- order by proposal end dateby_total_votes- order by proposal total votes
order_directioncan be one of:ascendingdescending
statusallinactiveactiveexpiredvotable
last_id (optional) - Id of the last object in the previous page from which you should start listing the next page
start (array) |
limit (int) |
order (string) |
order_direction (string) |
status (string) |
|
|---|---|---|---|---|---|
[""] |
10 | by_creator |
ascending |
active |
list 10 proposals with active status, ordered by creator, ascending |
["2019-08-07T16:54:03"] |
1000 | by_start_date |
ascending |
inactive |
list 1000 proposals with inactive status, ordered by start date, ascending, since 2019-08-07T16:54:03 |
["a"] |
1 | by_creator |
ascending |
expired |
list 1 proposal with expired status, ordered by creator, ascending, by accounts starting with “a” |
["alice"] |
10 | by_creator |
ascending |
all |
list 10 proposals with any status, ordered by creator, ascending, by alice |
[""] |
1000 | by_creator |
ascending |
votable |
list 1000 votable proposals, ordered by creator, ascending |
[10] |
1000 | by_total_votes |
ascending |
votable |
list 1000 votable proposals, ordered by creator, ascending, having at least 10 votes |
Proposal Structure:
id- Unique identifier that is mostly an implementation detail (best to ignore). To uniquely identify proposal, it's best to useproposal_id.proposal_id- Before using this value for any further broadcasts, ensure it is part of an irreversible block.creator- Account that created this proposal.receiver- Account that will receive funds, if this proposal is approved.start_date- When payments should begin.end_date- When payments should end.daily_pay- Amount of HBD expected per day.subject- Summary of this proposal.permlink- Post by either creator or receiver.total_votes- VESTS cast for this proposal. This will is calculate every maintenance period.status- Current status of this proposal.
Also see: Paginated API Methods
Query Parameters JSON
{
"start": null,
"limit": 0,
"order": "by_name",
"order_direction": "ascending",
"status": "all",
"last_id": 0
}
Expected Response JSON
{
"proposals": [
{
"id": 0,
"proposal_id": "1103806595072",
"creator": "alice",
"receiver": "bob",
"start_date": "2019-07-01T00:00:00",
"end_date": "2019-08-01T23:59:59",
"daily_pay": {
"amount": "4800000",
"precision": 3,
"nai": "@@000000013"
},
"subject": "My Proposal",
"permlink": "creator-proposal-permlink",
"total_votes": "77351826710",
"status": "active"
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_proposals", "params":{"start": [""], "limit": 10, "order": "by_creator", "order_direction": "ascending", "status": "active"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_proposals", "params":{"start": ["2019-08-07T16:54:03"], "limit": 1000, "order": "by_start_date", "order_direction": "ascending", "status": "inactive"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_proposals", "params":{"start": ["a"], "limit": 1, "order": "by_creator", "order_direction": "ascending", "status": "expired"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_proposals", "params":{"start": ["alice"], "limit": 10, "order": "by_creator", "order_direction": "ascending", "status": "all"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_proposals", "params":{"start": [""], "limit": 1000, "order": "by_creator", "order_direction": "ascending", "status": "votable"}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.list_proposals", "params":{"start": [10], "limit": 1000, "order": "by_total_votes", "order_direction": "ascending", "status": "votable"}, "id":1}' https://api.hive.blog
database_api.get_comment_pending_payouts
Get comment pending payout data.
Parameters:
comments- author/permlink
comments (array:string) |
|
|---|---|
[["hbd.funder", "upvote-this-post-to-fund-hbdstabilizer-qr2j7n"]] |
Returns comment info for a single post. |
[["hbd.funder", "upvote-this-post-to-fund-hbdstabilizer-qr2j7n"], ["arcange", "hivesql-proposal-unfunded-information-and-reaction"]] |
Returns comment info for multiple posts. |
Query Parameters JSON
{
"comments": [
[
"hbd.funder",
"upvote-this-post-to-fund-hbdstabilizer-qr2j7n"
]
]
}
Expected Response JSON
{
"cashout_infos": [
{
"author": "hbd.funder",
"permlink": "upvote-this-post-to-fund-hbdstabilizer-qr2j7n",
"cashout_info": {
"total_vote_weight": 22841196,
"total_payout_value": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"curator_payout_value": {
"amount": "0",
"precision": 3,
"nai": "@@000000013"
},
"max_accepted_payout": {
"amount": "1000000000",
"precision": 3,
"nai": "@@000000013"
},
"author_rewards": 0,
"children_abs_rshares": "606511906476641",
"net_rshares": "571577939879762",
"abs_rshares": "594467432989642",
"vote_rshares": "583007369825359",
"net_votes": 378,
"active": "2021-04-06T15:29:03",
"last_payout": "1970-01-01T00:00:00",
"cashout_time": "2021-04-12T02:07:00",
"max_cashout_time": "1969-12-31T23:59:59",
"percent_hbd": 10000,
"reward_weight": 10000,
"allow_replies": false,
"allow_votes": true,
"allow_curation_rewards": true
}
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_comment_pending_payouts", "params":{"comments":[["hbd.funder", "upvote-this-post-to-fund-hbdstabilizer-qr2j7n"]]}, "id":1}' https://api.hive.blog
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.get_comment_pending_payouts", "params":{"comments":[["hbd.funder", "upvote-this-post-to-fund-hbdstabilizer-qr2j7n"], ["arcange", "hivesql-proposal-unfunded-information-and-reaction"]]}, "id":1}' https://api.hive.blog
database_api.is_known_transaction
Only return true if the transaction has not expired or been invalidated.
If this method is called with a VERY old transaction we will return false,
use account_history_api.get_transaction.
Also see: transaction_status_api.find_transaction, account_history_api.get_transaction
Query Parameters JSON
{"id": "0000000000000000000000000000000000000000"}
Expected Response JSON
{"is_known": false}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.is_known_transaction", "params":{"id":"0000000000000000000000000000000000000000"}, "id":1}' https://api.hive.blog
Query Parameters JSON
{"start": null, "limit": 0, "order": "by_name"}
Expected Response JSON
{"requests": []}
database_api.find_recurrent_transfers
Finds transfers of any liquid asset every fixed amount of time from one account to another.
Also see: recurrent_transfer_operation
Query Parameters JSON
{"from": ""}
Expected Response JSON
{
"recurrent_transfers": [
{
"id": 3,
"trigger_date": "2021-07-02T18:11:51",
"from": "alice",
"to": "bob",
"amount": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
},
"memo": "Payroll",
"recurrence": 26,
"consecutive_failures": 0,
"remaining_executions": 3
}
]
}
Example curl
curl -s --data '{"jsonrpc":"2.0", "method":"database_api.find_recurrent_transfers", "params":{"from":"alice"}, "id":1}' https://api.hive.blog